namespace Brizco.Domain.CommandQueries.Commands;

public record CreateShiftPlanCommand(DateTime StartAt, DateTime EndAt,Guid ShiftId,List<Guid> UserIds)
    :IRequest<ShiftPlanLDto>;

public record UpdateShiftPlanCommand(Guid Id,DateTime StartAt, DateTime EndAt, Guid ShiftId, List<Guid> UserIds)
    : IRequest<bool>;

public record DeleteShiftPlanCommand(Guid Id, DateTime StartAt, DateTime EndAt, Guid ShiftId, List<Guid> UserIds)
    : IRequest<bool>;